/* Mixmaster version 3  --  (C) 1999 Anonymizer Inc.

   Mixmaster may be redistributed and modified under certain conditions.
   This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
   ANY KIND, either express or implied. See the file COPYRIGHT for
   details.

   Menu-based user interface
   $Id: menu.h,v 1.14 1999/05/14 15:05:20 um Exp $ */


#ifndef _MENU_H
#define _MENU_H
#include "mix3.h"
#ifdef USE_NCURSES
#ifdef HAVE_NCURSES_H
#include <ncurses.h>
#else
#include <curses.h>
#endif
#endif

#define NONANON "non-anonymous"
#define ANON "Anonymous"

int encoding(int encoded, BUFFER *field, BUFFER *content);
int txtdecode(BUFFER *out, BUFFER *in);
void send_message(int type, char *nym, BUFFER *txt);
void read_folder(char command, char *foldername, char *nym);
int decode_header(BUFFER *i);
void menu_init(void);
void menu_exit(void);

#ifdef USE_NCURSES
int decode_line(BUFFER *line, int encoded);
void read_message(BUFFER *message, char *nym);
void menu_nym(char *);
void menu_chain(char *chain, int type, int post);
void cl(int y, int x);
void askfilename(char *fn);
void savemsg(BUFFER *message);
int menu_replychain(int *d, int *l, char *mdest, char *pdest, char *psub,
		    char *r);

#endif

#define hex(i) (isdigit(i) ? (i) - '0' : tolower(i) - 'a' + 10)

#define NYMDB "secrets.mix"
#define maxnym 30

#endif
